const fs = require("fs");
const path = require("path");

function saveInfo(filepath, details) {
	const csv = `${details.customer_name},${details.phone_number},${details.mac_address},${details.device_name},${details.is_roaming},${details.is_gaming},false,${filepath}\n`
	if (!process.env.CSV_PATH) {
		console.error("CSV_PATH environment variable not set. CSV file will not be saved.")
		return;
	}
	fs.appendFile(path.join(__dirname, "../..", process.env.CSV_PATH), csv, (err) => {
		if (err) {
			console.error(err);
		}
	});
}

module.exports = {
	saveInfo
}