/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./src/**/*.{html,js,ejs}"],
  theme: {
    extend: {},
  },
  daisyui: {
    themes: [
      {
        sarlink: {
          "primary": "#ffa31a",
          "secondary": "#808080",
          "accent": "#ffffff",
          "neutral": "#1b1b1b",
          "base-100": "#292929",
          "info": "#00c0ff",
          "success": "#00a072",
          "warning": "#ff7500",
          "error": "#db002b",
        },
      },
    ],
  },
  plugins: [
    require("daisyui"),
  ],
}

